Subject: bug#46926: Remove the quotes from highlighted/linked symbols when displaying docs

From: scame <[email-masked]>
Date: Thu, 04 Mar 2021 17:50:27 +0000

>
> Help buffers do, but where did you see that in Info? Can you show an
> example?

Info does not link, but highlight symbols. BTW, why symbols in info are
not linked to their index entries? E.g. the user could press Enter
on a highlighted symbol to quickly look it up. Why isn't this a thing?

> I disagree. The quotes indicate that it's a symbol, the link face
> indicates that we have more information about that symbol elsewhere.
> These are two orthogonal indications, so they complete each other, not
> contradict.

Well, is this a symbol?  Example from Elisp info:

‘(DISPLAY PLIST)’

or

‘(:foreground "red" :weight bold)’

These have the face Info-quoted like quoted symbols in Info. So the face
indicates this is a quoted entity (not necessarily a symbol).

If we have a face Info-quoted then there is no need for the quotes, because
the quotes are only text markups which are translated to a face, so the quoted
part is highlighted for the user, there is no point in leaving the markup there.